View Issue Details

IDProjectCategoryView StatusLast Update
0000073AlmaLinux-8almalinux-releasepublic2021-07-24 10:47
Reporterkfujinaga Assigned Tosfokin  
PrioritynormalSeverityminorReproducibilitysometimes
Status assignedResolutionopen 
Summary0000073: The specified timezone is not set.
DescriptionIn the Installation, I set a timezone value to Asia/Tokyo(JST : +9:00).
But the timezone value was Shanghai/China(CST : +8:00) after after Installation,

At first login, the system required authentication of administrator.
Before the authentication, timezone was correct. (see "2021-05-02_12h51_22.png". Time was 12:51.)
After the authentication, timezone was incorrect. (see "2021-05-02_12h51_33.png". Time was 11:51. (-1 hour))
After all, timezone was CST.(see "2021-05-02_12h52_22.png")

I found the same bug at CentOS 8.3 and Rocky Linux 8.3RC1.
Steps To ReproduceStep 1: Boot almalinux-8.3 image.
Step 2: Set "Language" value to "English".
Step 3: Set "Timezone" value to "Asia/Tokyo(JST)" in "Time & Date".(see "2021-05-02_12h33_16.png")
Step 4: Set root password in "Root Password".
Step 5: Create user "testuser" in "User Creation".
Step 6: Select automatic partitioning in "Installation Destination".
Step 7: Set network and hostname in "Network & Host Name"
Step 8: Begin "Installation".
Step 9: Reboot.
Step 10: Accept license.
Step 11: Login (testuser).
Step 12: System require authentication. input password. (Timezone is changed!!)
(see "2021-05-02_12h51_22.png" and "2021-05-02_12h51_33.png")
Step 13: Perform the rest of the Installation.
Step 14: See "Settings -> Details -> Date & Time". (Timezone is CST)(See "2021-05-02_12h52_22.png")
TagsNo tags attached.
abrt_hash
URL

Activities

kfujinaga

2021-05-02 05:40

reporter  

2021-05-02_12h33_16.png (582,014 bytes)
2021-05-02_12h51_22.png (225,651 bytes)   
2021-05-02_12h51_22.png (225,651 bytes)   
2021-05-02_12h51_33.png (76,904 bytes)   
2021-05-02_12h51_33.png (76,904 bytes)   
2021-05-02_12h52_22.png (95,430 bytes)   
2021-05-02_12h52_22.png (95,430 bytes)   

alukoshko

2021-06-09 22:07

developer   ~0000270

Hello!
Have you tried 8.4? Is bug still here?

kfujinaga

2021-06-09 23:39

reporter   ~0000271

AlmaLinux 8.4 (and rhel 8.4, rocky linux 8.4 rc) has the same problem.

carlwgeorge

2021-07-21 21:17

reporter   ~0000310

Being reproducible on RHEL 8.4 is a good data point. My suggestion would be to also attempt to reproduce on CentOS Stream 8. If it's already fixed there, it will be easiest to just wait until the fix propagates through RHEL 8.5. If it's not fixed there, we can work on this as a contribution under the Stream model.

You may also consider trying to reproduce on CentOS Stream 9 or Fedora, to help determine if this is already fixed this in a newer version of anaconda. Backporting an upstream commit (if it exists) is preferable to writing a brand new patch for RHEL 8's version of anaconda.

sfokin

2021-07-23 11:45

developer   ~0000311

CentOS Stream 8 reproduced.
Where I can get Stream 9 iso for trying reproduce bug?

carlwgeorge

2021-07-23 20:56

reporter   ~0000313

It's still early in the CS9 development, but the CentOS Stream download page [0] links to this email [1] about the new compose infrastructure, which includes this link [2]. Digging into the directory structure, you can find the current ISO in this directory [3].

[0] https://centos.org/centos-stream/
[1] https://lists.centos.org/pipermail/centos-devel/2021-April/076802.html
[2] https://composes.stream.centos.org/
[3] https://composes.stream.centos.org/development/latest-CentOS-Stream/compose/BaseOS/x86_64/iso/

kfujinaga

2021-07-24 10:01

reporter   ~0000314

I can't reproduce this bug on CentOS Stream 9.
(I tried three times, the system didn't require the authentication)

I will post a bug report about centos stream 8 to the centos.org.

alukoshko

2021-07-24 10:13

developer   ~0000315

Hi!
CentOS Stream bugs should be reported to Red Hat Bugzilla
https://wiki.centos.org/ReportBugs

kfujinaga

2021-07-24 10:46

reporter   ~0000316

I post a report to to Red Hat Bugzilla.
https://bugzilla.redhat.com/show_bug.cgi?id=1985607

kfujinaga

2021-07-24 10:47

reporter   ~0000317

I post a report to Red Hat Bugzilla.
https://bugzilla.redhat.com/show_bug.cgi?id=1985607

Issue History

Date Modified Username Field Change
2021-05-02 05:40 kfujinaga New Issue
2021-05-02 05:40 kfujinaga File Added: 2021-05-02_12h33_16.png
2021-05-02 05:40 kfujinaga File Added: 2021-05-02_12h51_22.png
2021-05-02 05:40 kfujinaga File Added: 2021-05-02_12h51_33.png
2021-05-02 05:40 kfujinaga File Added: 2021-05-02_12h52_22.png
2021-06-09 22:07 alukoshko Note Added: 0000270
2021-06-09 23:39 kfujinaga Note Added: 0000271
2021-07-20 09:24 alukoshko Assigned To => sfokin
2021-07-20 09:24 alukoshko Status new => assigned
2021-07-21 21:17 carlwgeorge Note Added: 0000310
2021-07-23 11:45 sfokin Note Added: 0000311
2021-07-23 20:56 carlwgeorge Note Added: 0000313
2021-07-24 10:01 kfujinaga Note Added: 0000314
2021-07-24 10:13 alukoshko Note Added: 0000315
2021-07-24 10:46 kfujinaga Note Added: 0000316
2021-07-24 10:47 kfujinaga Note Added: 0000317